function feats = fv_util_maskfeats(feats,m)
% feats = fv_util_maskfeats(feats,m)
%
% feats: single entry in allfeats
% m: mask of the intpts.

assert(isstructscalar(feats));
assert(islogical(m));

if isfield(feats,'d_cols')
    n = size(feats.d_cols,2);
    assert(length(m)==n);
    feats.d_cols = feats.d_cols(:,m);
else
    n = size(feats.d_rows,1);
    assert(length(m)==n);
    feats.d_cols = feats.d_rows(m,:);
end
feats.f_xynorm = feats.f_xynorm(:,m);


