#include "cn_siginthandler.hpp"

/**
 * Author: R. Gokberk Cinbis.
 */


namespace cn {

    // initialize static variable
    bool siginthandler::s;

    siginthandler::siginthandler() {
        siginthandler::s = false;
        old = signal(SIGINT, this->_fhandle );
    }

    siginthandler::~siginthandler() {
        signal(SIGINT, old); // in matlab, this is necessary
    }

    void siginthandler::_fhandle(int sig) {
        if (sig==SIGINT)
            s = true;
    }


}

