function cn_multicore_clearcaches(currentonly)

if nargin < 1
    currentonly = false;
end

if currentonly
    disp('cn_multicore_clearcaches()');
    cn_cacheinmemory('clear');
    cn_cachevar('clear');
    cn_cachedload([],'clear');
    clear all;
    close all;
    return;
end

K = 50;

settings.nrOfEvalsAtOnce   = 1;
settings.maxEvalTimeSingle = 5;
settings.masterIsWorker    = false;
settings.useWaitbar        = false;

for j = K:-1:1
    params{j} = {true};
end

foo = startmulticoremaster(@cn_multicore_clearcaches,params,settings);
cn_multicore_clearcaches(true);


