#! /bin/bash

if [ $# -ne 1 ]; then
    echo "Need nb of slaves as argument"
    exit 1
fi

nslave=$1

# kill slaves with ^C
trap 'kill -HUP 0' 0 

mkdir -p data/multicore_tmp

for((i = 1; i <= nslave; i++)); do 
    echo start slave $i 
    echo "startmulticoreslave" |  
       /softs/stow/matlab-2012b/bin/matlab -nodisplay -nodesktop -nojvm -nosplash  \
             > data/multicore_tmp/slave.$i.stdout \
             2> data/multicore_tmp/slave.$i.stderr &  

done

wait

