function multicore_killslaves
% Kill all multicore slaves. Does NOT finish automatically since some slaves might be running, and, it is hard
% to detect. Waits for slaves to kill themselves until Ctrl-C is used.
%
% R.G.Cinbis March 2012

params = {{}};
fun = @() 1;

settings.spec = 'killslaves';
settings.masterIsWorker = false;
settings.maxEvalTimeSingle = inf;
settings.keyboard = false;

mdb c
disp('Waiting for slaves to exit. Press Ctrl-C when you think youre done');

startmulticoremaster(fun,params,settings);



